/* Container */
.button-container {
    display: flex;
    justify-content: flex-start; /* Alinha os botões à esquerda */
    padding-left: 30px; /* Ajuste para mover ligeiramente à direita */
   
}

/* botão whatsapp */
a {
    text-decoration: none;
}

button.bts {
    position: relative;
    width: 11em;
    height: 4em;
    outline: none;
    transition: 0.2s ease-in-out;
    background-color: transparent;
    border: none;
    font-size: 13px;
    font-weight: 800;
    color: #27c39f;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    padding: 0 20px;
    font-family: 'Montserrat', sans-serif;
    text-shadow: 0 0 1px #27c39f, 0 0 2px #27c39f;
    transform: translateY(10px);
    animation: floatEffect 3s ease-in-out infinite;
}

@keyframes floatEffect {
    0% {
        transform: translateY(10px);
    }
    50% {
        transform: translateY(5px);
    }
    100% {
        transform: translateY(10px);
    }
}

button.bts:hover {
    animation: none;
    color: #ffffff;
}

#clip {
    --background: linear-gradient(to right, #306ef9, #f93577);
    position: absolute;
    top: 0;
    overflow: hidden;
    width: 100%;
    height: 100%;
    border: 5px double var(--background);
    box-shadow: inset 0px 0px 15px #a04eb0c5;
    -webkit-clip-path: polygon(30% 0%, 70% 0%, 100% 30%, 100% 70%, 70% 100%, 30% 100%, 0% 70%, 0% 30%);
}

.arrow {
    position: absolute;
    transition: 0.2s;
    background: linear-gradient(to right, #306ef9, #f93577);
    top: 35%;
    width: 11%;
    height: 30%;
}

#leftArrow {
    left: -13.5%;
    -webkit-clip-path: polygon(100% 0, 100% 100%, 0 50%);
}

#rightArrow {
    -webkit-clip-path: polygon(100% 49%, 0 0, 0 100%);
    left: 102%;
}

button.bts:hover #rightArrow {
    background-color: #27c39f;
    left: -15%;
    animation: 0.6s ease-in-out both infinite alternate rightArrow8;
}

button.bts:hover #leftArrow {
    background-color: #27c39f;
    left: 103%;
    animation: 0.6s ease-in-out both infinite alternate leftArrow8;
}

.corner {
    position: absolute;
    width: 4em;
    height: 4em;
    background: linear-gradient(to right, #306ef9, #f93577);
    box-shadow: inset 1px 1px 8px #306ef9;
    transform: scale(1) rotate(45deg);
    transition: 0.2s;
}

#rightTop {
    top: -1.98em;
    left: 91%;
}

#leftTop {
    top: -1.96em;
    left: -3.0em;
}

#leftBottom {
    top: 2.10em;
    left: -2.15em;
}

#rightBottom {
    top: 45%;
    left: 88%;
}

button.bts:hover #leftTop {
    animation: 0.1s ease-in-out 0.05s both changeColor8,
        0.2s linear 0.4s both lightEffect8;
}

button.bts:hover #rightTop {
    animation: 0.1s ease-in-out 0.15s both changeColor8,
        0.2s linear 0.4s both lightEffect8;
}

button.bts:hover #rightBottom {
    animation: 0.1s ease-in-out 0.25s both changeColor8,
        0.2s linear 0.4s both lightEffect8;
}

button.bts:hover #leftBottom {
    animation: 0.1s ease-in-out 0.35s both changeColor8,
        0.2s linear 0.4s both lightEffect8;
}

button.bts:hover .corner {
    transform: scale(1.25) rotate(45deg);
}

button.bts:hover #clip {
    animation: 0.2s ease-in-out 0.55s both greenLight8;
    --color: #27c39f;
}

@keyframes changeColor8 {
    from {
        background: linear-gradient(to right, #306ef9, #f93577);
    }
    to {
        background-color: #27c39f;
    }
}

@keyframes lightEffect8 {
    from {
        box-shadow: 1px 1px 5px #27c39f;
    }
    to {
        box-shadow: 0 0 2px #27c39f;
    }
}

@keyframes greenLight8 {
    from {}
    to {
        box-shadow: inset 0px 0px 32px #27c39f;
    }
}

@keyframes leftArrow8 {
    from {
        transform: translate(0px);
    }
    to {
        transform: translateX(10px);
    }
}

@keyframes rightArrow8 {
    from {
        transform: translate(0px);
    }
    to {
        transform: translateX(-10px);
    }
}

/* Media Query para versão mobile */
@media screen and (max-width: 768px) {
    .button-container {
        justify-content: center;
        align-items: center;
        min-height: 100px; /* Reduzido de 100vh para 200px */
        width: 100%;
        margin: 5px 0; /* Adiciona margem vertical de 20px */
        padding-left: 0; /* Remove padding para mobile */
    }
    
}








/* video inicio */

.video-background {
    position: relative;
    width: 800px;
    /* Defina a largura do contêiner */
    height: 800px;
    /* Defina a altura do contêiner */
    overflow: hidden;
    /* Esconde o excesso do vídeo */
}

.video-background video {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* Ajusta o vídeo para cobrir todo o espaço */
}


/* jogos  */

.game-container {
    position: relative;
    width: 100%;
    padding-top: 56.25%; /* Proporção 16:9 */
    overflow: hidden;
}

.game-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: none;
}


/* gradiente texto */


.title-2 {
    background: linear-gradient(90deg, #f93577, #306ef9);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 35px;
    font-weight: bold;
  }

  @media (max-width: 768px) {
    .title-2 {
      font-size: 18px;
      
		
    }
    
  }
  



